//------Demo of Crispy.HelpSys-------

datum/helpsys/main
	//Main page
	title="Crispy's Help System"
	text="This is a test of Crispy's Help System."
	css="body{background: black; color: white; text-align:center; font-family:sans-serif } \
	h1{color:blue; font-family: 'Curlz MT'} \
	A:link {color:red} A:visited {color:red} A:active{color:red} A:hover{color:yellow} \
	.suffix {color:yellow} .prefix {color:blue} A.subtopiclink {font-weight:900} A.closelink {font-style:italic} \
	A.backlink {color: #FF6600}"
	windowsize="500x500"
	suffix="Created by Crispy."
	prefix="Crispy presents..."

	subtopic
		//Subpage. Linked to from the main page, with a link stating "More info"
		linktext="More info"
		text="If you don't like all the crazy colours in this demo, you'll be relieved to know that you can fully \
		customise the look of the page using Cascading Style Sheets. Each section of the help system can be \
		customised individually if you want, or it can just inherit from its parent. You can even have images \
		in your help file, using the &lt;img&gt; tag, without having to use browse_rsc() on each image; Help System \
		takes care of that for you. \
		<p><img src=smiley.dmi><img src='demo/blue.dmi'><img src=\"smiley.dmi\">\
		<p>Refer to the code for for information! Click on Back to go back."
		title="More information"

		subsubtopic
			//This page is linked to from datum/helpsys/main/subtopic, with link text "Don't click here!"
			linktext="Don't click here!"
			suffix="This subtopic has a different suffix because it's an individual."
			text="I said not to click there! Sheesh, some people."
			prefix="All I have to say is..."
			title="Humph"

	copyright
		//This is accessible via another link from the main page. The link text is not specified, so it defaults
		//to the title, "Copyright stuff".
		prefix="Read this, bro!"
		title="Copyright stuff"
		text="&copy;Copyright 2002, Crispy."

mob
	Login()
		..()
		src << "\n\n\n\n\n"
		src << "<center><b><font color=#6666FF size=+2 face=Verdana>Welcome to this demo of Help System</font></b><p>\
		<a href='?displayhelp'>Click here to display the sample help system, or press F1</a></center>"
	verb/help()
		set desc="Display help"
		set hidden=1
		//Display their "copy", or instance, of the help system, to them
		client.help.display()

client
	var/datum/helpsys/main/help //Refers to the help system
	command_text=".alt "
	script={"
macro
	F1 return "help"
<style>
body {color:white;background:black}
A:link { color:red; text-decoration:none }
A:visited { color:red; text-decoration:none }
A:active { color:red; text-decoration:none }
A:hover { color: yellow; text-decoration: underline }
</style>
"}

	New()
		..()
		//When a player logs in, give them a "copy", or instance, of the help system
		help=new()
	Topic(href,href_list[],hsrc)
		if (href=="displayhelp")
			//Display the help system
			src.help.display()

		//Note that the parent client/Topic() proc is being called here. If you override client/Topic(), this line
		//must be in place for the library to function correctly.
		.=..()

world
	name="Crispy.HelpSys demo"
	hub="Crispy.HelpSysDemo"